<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="dsReport" targetNamespace="http://tempuri.org/dsReport.xsd" xmlns:mstns="http://tempuri.org/dsReport.xsd" xmlns="http://tempuri.org/dsReport.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FBS0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="holydataTableAdapter" GeneratorDataComponentClassName="holydataTableAdapter" Name="holydata" UserDataComponentName="holydataTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  Holyday.uid, Users.name, Holyday.cate, (CASE cate WHEN '외출' THEN 1 ELSE Holyday.term END) AS CrDay, Holyday.termDr AS DrDay, Holyday.DrTime, Holyday.CrTime, Holyday.gcode, 
               EETGW_GroupUser.Process, Holyday.sdate, Holyday.edate, Holyday.iwol
FROM     Users WITH (NOLOCK) INNER JOIN
               Holyday ON Users.id = Holyday.uid LEFT OUTER JOIN
               EETGW_GroupUser WITH (NOLOCK) ON Holyday.uid = EETGW_GroupUser.uid AND Holyday.gcode = EETGW_GroupUser.gcode
WHERE  (Holyday.gcode = @gcode) AND (Holyday.sdate BETWEEN @sd AND @ed) AND (EETGW_GroupUser.level &gt; 0) AND (ISNULL(EETGW_GroupUser.useUserState, 0) = 1) AND 
               (ISNULL(EETGW_GroupUser.exceptHoly, 0) = 0)
ORDER BY Holyday.uid, CrDay</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="uid" DataSetColumn="uid" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="DrTime" DataSetColumn="DrTime" />
              <Mapping SourceColumn="CrTime" DataSetColumn="CrTime" />
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="Process" DataSetColumn="Process" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="CrDay" DataSetColumn="CrDay" />
              <Mapping SourceColumn="DrDay" DataSetColumn="DrDay" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="edate" DataSetColumn="edate" />
              <Mapping SourceColumn="iwol" DataSetColumn="iwol" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Holydata_DayTableAdapter" GeneratorDataComponentClassName="Holydata_DayTableAdapter" Name="Holydata_Day" UserDataComponentName="Holydata_DayTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Holyday] WHERE (([idx] = @Original_idx) AND ((@IsNull_sdate = 1 AND [sdate] IS NULL) OR ([sdate] = @Original_sdate)) AND ((@IsNull_uid = 1 AND [uid] IS NULL) OR ([uid] = @Original_uid)) AND ((@IsNull_cate = 1 AND [cate] IS NULL) OR ([cate] = @Original_cate)) AND ((@IsNull_Dr = 1 AND [termDr] IS NULL) OR ([termDr] = @Original_Dr)) AND ((@IsNull_Cr = 1 AND [term] IS NULL) OR ([term] = @Original_Cr)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_sdate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_uid" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="uid" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_uid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_cate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Dr" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Dr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_Dr" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="Dr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Cr" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Cr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_Cr" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="Cr" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  Holyday.gcode, Holyday.idx, Holyday.sdate, Holyday.uid, Holyday.cate, dbo.GetKuntaeJan_Day(Holyday.gcode, Holyday.uid, Holyday.sdate, Holyday.idx - 1) AS jun, Holyday.termDr AS Dr, 
               Holyday.term AS Cr, Holyday.contents, Users.name, EETGW_GroupUser.Process, Holyday.iwol
FROM     Holyday WITH (NOLOCK) LEFT OUTER JOIN
               EETGW_GroupUser WITH (NOLOCK) ON Holyday.gcode = EETGW_GroupUser.gcode AND Holyday.uid = EETGW_GroupUser.uid LEFT OUTER JOIN
               Users ON Holyday.uid = Users.id
WHERE  (Holyday.gcode = @gcode) AND (Holyday.uid LIKE @uid) AND (Holyday.sdate BETWEEN @sd AND @ed) AND (ISNULL(Holyday.DrTime, 0) + ISNULL(Holyday.CrTime, 0) = 0) AND 
               (EETGW_GroupUser.useUserState = 1)
ORDER BY Holyday.sdate, Holyday.idx</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="uid" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Holyday] SET [sdate] = @sdate, [uid] = @uid, [cate] = @cate, [termDr] = @Dr, [term] = @Cr, [contents] = @contents WHERE (([idx] = @Original_idx) AND ((@IsNull_sdate = 1 AND [sdate] IS NULL) OR ([sdate] = @Original_sdate)) AND ((@IsNull_uid = 1 AND [uid] IS NULL) OR ([uid] = @Original_uid)) AND ((@IsNull_cate = 1 AND [cate] IS NULL) OR ([cate] = @Original_cate)) AND ((@IsNull_Dr = 1 AND [termDr] IS NULL) OR ([termDr] = @Original_Dr)) AND ((@IsNull_Cr = 1 AND [term] IS NULL) OR ([term] = @Original_Cr)));
SELECT idx, sdate, uid, cate, dbo.GetKuntaeJan_Day(gcode, uid, sdate, idx - 1) AS jun, termDr AS Dr, term AS Cr, contents FROM Holyday WHERE (idx = @idx) ORDER BY sdate, idx</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@sdate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Dr" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="Dr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Cr" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="Cr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@contents" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="contents" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_sdate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_uid" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="uid" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_uid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_cate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Dr" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Dr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_Dr" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="Dr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Cr" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Cr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_Cr" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="Cr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="uid" DataSetColumn="uid" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="jun" DataSetColumn="jun" />
              <Mapping SourceColumn="Dr" DataSetColumn="Dr" />
              <Mapping SourceColumn="Cr" DataSetColumn="Cr" />
              <Mapping SourceColumn="contents" DataSetColumn="contents" />
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="Process" DataSetColumn="Process" />
              <Mapping SourceColumn="iwol" DataSetColumn="iwol" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Holydata_timee_adapter" GeneratorDataComponentClassName="Holydata_timee_adapter" Name="Holydata_Time" UserDataComponentName="Holydata_timee_adapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  Holyday.gcode, Holyday.idx, Holyday.sdate, Holyday.uid, Holyday.cate, dbo.GetKuntaeJan_Time(Holyday.gcode, Holyday.uid, Holyday.sdate, Holyday.idx - 1) AS jun, Holyday.DrTime AS Dr, 
               Holyday.CrTime AS Cr, Holyday.contents, Users.name, EETGW_GroupUser.Process, Holyday.iwol
FROM     Holyday WITH (NOLOCK) LEFT OUTER JOIN
               EETGW_GroupUser WITH (NOLOCK) ON Holyday.gcode = EETGW_GroupUser.gcode AND Holyday.uid = EETGW_GroupUser.uid LEFT OUTER JOIN
               Users WITH (NOLOCK) ON Holyday.uid = Users.id
WHERE  (Holyday.gcode = @gcode) AND (Holyday.uid LIKE @uid) AND (Holyday.sdate BETWEEN @sd AND @ed) AND (ISNULL(Holyday.DrTime, 0) + ISNULL(Holyday.CrTime, 0) &lt;&gt; 0) AND 
               (EETGW_GroupUser.useUserState = 1) AND (Holyday.cate &lt;&gt; 'PMS')
ORDER BY Holyday.sdate, Holyday.idx</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="uid" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="uid" DataSetColumn="uid" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="jun" DataSetColumn="jun" />
              <Mapping SourceColumn="Dr" DataSetColumn="Dr" />
              <Mapping SourceColumn="Cr" DataSetColumn="Cr" />
              <Mapping SourceColumn="contents" DataSetColumn="contents" />
              <Mapping SourceColumn="Process" DataSetColumn="Process" />
              <Mapping SourceColumn="iwol" DataSetColumn="iwol" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Holydata_TimePMSTableAdapter" GeneratorDataComponentClassName="Holydata_TimePMSTableAdapter" Name="Holydata_TimePMS" UserDataComponentName="Holydata_TimePMSTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  Holyday.gcode, Holyday.idx, Holyday.sdate, Holyday.uid, Holyday.cate, dbo.GetKuntaeJan_TimePMS(Holyday.gcode, Holyday.uid, Holyday.sdate, Holyday.idx - 1) AS jun, 
               Holyday.DrTimePMS AS Dr, Holyday.CrTime AS Cr, Holyday.contents, Users.name, EETGW_GroupUser.Process, Holyday.iwol
FROM     Holyday WITH (NOLOCK) LEFT OUTER JOIN
               EETGW_GroupUser WITH (NOLOCK) ON Holyday.gcode = EETGW_GroupUser.gcode AND Holyday.uid = EETGW_GroupUser.uid LEFT OUTER JOIN
               Users WITH (NOLOCK) ON Holyday.uid = Users.id
WHERE  (Holyday.gcode = @gcode) AND (Holyday.uid LIKE @uid) AND (Holyday.sdate BETWEEN @sd AND @ed) AND (EETGW_GroupUser.useUserState = 1) AND (Holyday.cate = 'PMS') AND 
               (ISNULL(Holyday.DrTimePMS, 0) + ISNULL(Holyday.CrTime, 0) &lt;&gt; 0)
ORDER BY Holyday.sdate, Holyday.idx</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="uid" DataSourceName="EE.dbo.Holyday" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="sdate" DataSourceName="EE.dbo.Holyday" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="uid" DataSetColumn="uid" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="jun" DataSetColumn="jun" />
              <Mapping SourceColumn="Dr" DataSetColumn="Dr" />
              <Mapping SourceColumn="Cr" DataSetColumn="Cr" />
              <Mapping SourceColumn="contents" DataSetColumn="contents" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="Process" DataSetColumn="Process" />
              <Mapping SourceColumn="iwol" DataSetColumn="iwol" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="dsReport" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="dsReport" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="dsReport">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="holydata" msprop:Generator_RowEvHandlerName="holydataRowChangeEventHandler" msprop:Generator_RowDeletedName="holydataRowDeleted" msprop:Generator_RowDeletingName="holydataRowDeleting" msprop:Generator_RowEvArgName="holydataRowChangeEvent" msprop:Generator_TablePropName="holydata" msprop:Generator_RowChangedName="holydataRowChanged" msprop:Generator_UserTableName="holydata" msprop:Generator_RowChangingName="holydataRowChanging" msprop:Generator_RowClassName="holydataRow" msprop:Generator_TableClassName="holydataDataTable" msprop:Generator_TableVarName="tableholydata">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="uid" msprop:Generator_ColumnPropNameInTable="uidColumn" msprop:Generator_ColumnPropNameInRow="uid" msprop:Generator_UserColumnName="uid" msprop:Generator_ColumnVarNameInTable="columnuid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_UserColumnName="cate" msprop:Generator_ColumnVarNameInTable="columncate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DrTime" msprop:Generator_ColumnPropNameInTable="DrTimeColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="DrTime" msprop:Generator_UserColumnName="DrTime" msprop:Generator_ColumnVarNameInTable="columnDrTime" type="xs:double" minOccurs="0" />
              <xs:element name="CrTime" msprop:Generator_ColumnPropNameInTable="CrTimeColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="CrTime" msprop:Generator_UserColumnName="CrTime" msprop:Generator_ColumnVarNameInTable="columnCrTime" type="xs:double" minOccurs="0" />
              <xs:element name="gcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_UserColumnName="gcode" msprop:Generator_ColumnVarNameInTable="columngcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Process" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_UserColumnName="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_UserColumnName="name" msprop:Generator_ColumnVarNameInTable="columnname" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CrDay" msprop:Generator_ColumnPropNameInTable="CrDayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="CrDay" msprop:Generator_UserColumnName="CrDay" msprop:Generator_ColumnVarNameInTable="columnCrDay" type="xs:double" minOccurs="0" />
              <xs:element name="DrDay" msprop:Generator_ColumnPropNameInTable="DrDayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="DrDay" msprop:Generator_UserColumnName="DrDay" msprop:Generator_ColumnVarNameInTable="columnDrDay" type="xs:double" minOccurs="0" />
              <xs:element name="sdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_UserColumnName="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="edate" msprop:Generator_ColumnPropNameInTable="edateColumn" msprop:Generator_ColumnPropNameInRow="edate" msprop:Generator_UserColumnName="edate" msprop:Generator_ColumnVarNameInTable="columnedate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="iwol" msprop:Generator_ColumnPropNameInTable="iwolColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="iwol" msprop:Generator_UserColumnName="iwol" msprop:Generator_ColumnVarNameInTable="columniwol" type="xs:boolean" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Holydata_Day" msprop:Generator_RowEvHandlerName="Holydata_DayRowChangeEventHandler" msprop:Generator_RowDeletedName="Holydata_DayRowDeleted" msprop:Generator_RowDeletingName="Holydata_DayRowDeleting" msprop:Generator_RowEvArgName="Holydata_DayRowChangeEvent" msprop:Generator_TablePropName="Holydata_Day" msprop:Generator_RowChangedName="Holydata_DayRowChanged" msprop:Generator_UserTableName="Holydata_Day" msprop:Generator_RowChangingName="Holydata_DayRowChanging" msprop:Generator_RowClassName="Holydata_DayRow" msprop:Generator_TableClassName="Holydata_DayDataTable" msprop:Generator_TableVarName="tableHolydata_Day">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="sdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_UserColumnName="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="uid" msprop:Generator_ColumnPropNameInTable="uidColumn" msprop:Generator_ColumnPropNameInRow="uid" msprop:Generator_UserColumnName="uid" msprop:Generator_ColumnVarNameInTable="columnuid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_UserColumnName="cate" msprop:Generator_ColumnVarNameInTable="columncate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="jun" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="junColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="jun" msprop:Generator_UserColumnName="jun" msprop:Generator_ColumnVarNameInTable="columnjun" type="xs:double" minOccurs="0" />
              <xs:element name="Dr" msprop:Generator_ColumnPropNameInTable="DrColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Dr" msprop:Generator_UserColumnName="Dr" msprop:Generator_ColumnVarNameInTable="columnDr" type="xs:double" minOccurs="0" />
              <xs:element name="Cr" msprop:Generator_ColumnPropNameInTable="CrColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Cr" msprop:Generator_UserColumnName="Cr" msprop:Generator_ColumnVarNameInTable="columnCr" type="xs:double" minOccurs="0" />
              <xs:element name="contents" msprop:Generator_ColumnPropNameInTable="contentsColumn" msprop:Generator_ColumnPropNameInRow="contents" msprop:Generator_UserColumnName="contents" msprop:Generator_ColumnVarNameInTable="columncontents" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="gcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_UserColumnName="gcode" msprop:Generator_ColumnVarNameInTable="columngcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_UserColumnName="name" msprop:Generator_ColumnVarNameInTable="columnname" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Process" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_UserColumnName="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="jan" msdata:ReadOnly="true" msdata:Expression="jun+dr-cr" msprop:Generator_ColumnPropNameInTable="janColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="jan" msprop:Generator_UserColumnName="jan" msprop:Generator_ColumnVarNameInTable="columnjan" type="xs:double" minOccurs="0" />
              <xs:element name="iwol" msprop:Generator_ColumnPropNameInTable="iwolColumn" msprop:Generator_ColumnPropNameInRow="iwol" msprop:Generator_UserColumnName="iwol" msprop:Generator_ColumnVarNameInTable="columniwol" type="xs:boolean" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Holydata_Time" msprop:Generator_RowEvHandlerName="Holydata_TimeRowChangeEventHandler" msprop:Generator_RowDeletedName="Holydata_TimeRowDeleted" msprop:Generator_RowDeletingName="Holydata_TimeRowDeleting" msprop:Generator_RowEvArgName="Holydata_TimeRowChangeEvent" msprop:Generator_TablePropName="Holydata_Time" msprop:Generator_RowChangedName="Holydata_TimeRowChanged" msprop:Generator_UserTableName="Holydata_Time" msprop:Generator_RowChangingName="Holydata_TimeRowChanging" msprop:Generator_RowClassName="Holydata_TimeRow" msprop:Generator_TableClassName="Holydata_TimeDataTable" msprop:Generator_TableVarName="tableHolydata_Time">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="gcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_UserColumnName="gcode" msprop:Generator_ColumnVarNameInTable="columngcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_UserColumnName="name" msprop:Generator_ColumnVarNameInTable="columnname" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="sdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_UserColumnName="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="uid" msprop:Generator_ColumnPropNameInTable="uidColumn" msprop:Generator_ColumnPropNameInRow="uid" msprop:Generator_UserColumnName="uid" msprop:Generator_ColumnVarNameInTable="columnuid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_UserColumnName="cate" msprop:Generator_ColumnVarNameInTable="columncate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="jun" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="junColumn" msprop:Generator_ColumnPropNameInRow="jun" msprop:Generator_UserColumnName="jun" msprop:Generator_ColumnVarNameInTable="columnjun" type="xs:double" minOccurs="0" />
              <xs:element name="Dr" msprop:Generator_ColumnPropNameInTable="DrColumn" msprop:Generator_ColumnPropNameInRow="Dr" msprop:Generator_UserColumnName="Dr" msprop:Generator_ColumnVarNameInTable="columnDr" type="xs:double" minOccurs="0" />
              <xs:element name="Cr" msprop:Generator_ColumnPropNameInTable="CrColumn" msprop:Generator_ColumnPropNameInRow="Cr" msprop:Generator_UserColumnName="Cr" msprop:Generator_ColumnVarNameInTable="columnCr" type="xs:double" minOccurs="0" />
              <xs:element name="contents" msprop:Generator_ColumnPropNameInTable="contentsColumn" msprop:Generator_ColumnPropNameInRow="contents" msprop:Generator_UserColumnName="contents" msprop:Generator_ColumnVarNameInTable="columncontents" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Process" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_UserColumnName="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="iwol" msprop:Generator_ColumnPropNameInTable="iwolColumn" msprop:Generator_ColumnPropNameInRow="iwol" msprop:Generator_UserColumnName="iwol" msprop:Generator_ColumnVarNameInTable="columniwol" type="xs:boolean" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="holydatasum" msprop:Generator_RowEvHandlerName="holydatasumRowChangeEventHandler" msprop:Generator_RowDeletedName="holydatasumRowDeleted" msprop:Generator_RowDeletingName="holydatasumRowDeleting" msprop:Generator_RowEvArgName="holydatasumRowChangeEvent" msprop:Generator_TablePropName="holydatasum" msprop:Generator_RowChangedName="holydatasumRowChanged" msprop:Generator_UserTableName="holydatasum" msprop:Generator_RowChangingName="holydatasumRowChanging" msprop:Generator_RowClassName="holydatasumRow" msprop:Generator_TableClassName="holydatasumDataTable" msprop:Generator_TableVarName="tableholydatasum">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="uid" msprop:Generator_ColumnPropNameInTable="uidColumn" msprop:Generator_ColumnPropNameInRow="uid" msprop:Generator_UserColumnName="uid" msprop:Generator_ColumnVarNameInTable="columnuid" type="xs:string" />
              <xs:element name="uname" msprop:Generator_ColumnPropNameInTable="unameColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="uname" msprop:Generator_UserColumnName="uname" msprop:Generator_ColumnVarNameInTable="columnuname" type="xs:string" minOccurs="0" />
              <xs:element name="process" msprop:Generator_ColumnPropNameInTable="processColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="process" msprop:Generator_UserColumnName="process" msprop:Generator_ColumnVarNameInTable="columnprocess" type="xs:string" minOccurs="0" />
              <xs:element name="cate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_UserColumnName="cate" msprop:Generator_ColumnVarNameInTable="columncate" type="xs:string" />
              <xs:element name="dr" msprop:Generator_ColumnPropNameInTable="drColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="dr" msprop:Generator_UserColumnName="dr" msprop:Generator_ColumnVarNameInTable="columndr" type="xs:double" minOccurs="0" />
              <xs:element name="cr" msprop:Generator_ColumnPropNameInTable="crColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="cr" msprop:Generator_UserColumnName="cr" msprop:Generator_ColumnVarNameInTable="columncr" type="xs:double" minOccurs="0" />
              <xs:element name="jan" msprop:Generator_ColumnPropNameInTable="janColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="jan" msprop:Generator_UserColumnName="jan" msprop:Generator_ColumnVarNameInTable="columnjan" type="xs:double" minOccurs="0" />
              <xs:element name="add" msprop:Generator_ColumnPropNameInTable="addColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="add" msprop:Generator_UserColumnName="add" msprop:Generator_ColumnVarNameInTable="columnadd" type="xs:double" minOccurs="0" />
              <xs:element name="rate" msprop:Generator_ColumnPropNameInTable="rateColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="rate" msprop:Generator_UserColumnName="rate" msprop:Generator_ColumnVarNameInTable="columnrate" type="xs:double" minOccurs="0" />
              <xs:element name="iwol" msprop:Generator_ColumnPropNameInTable="iwolColumn" msprop:Generator_ColumnPropNameInRow="iwol" msprop:Generator_UserColumnName="iwol" msprop:Generator_ColumnVarNameInTable="columniwol" type="xs:double" minOccurs="0" />
              <xs:element name="drday" msprop:Generator_ColumnPropNameInTable="drdayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="drday" msprop:Generator_UserColumnName="drday" msprop:Generator_ColumnVarNameInTable="columndrday" type="xs:double" minOccurs="0" />
              <xs:element name="crday" msprop:Generator_ColumnPropNameInTable="crdayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="crday" msprop:Generator_UserColumnName="crday" msprop:Generator_ColumnVarNameInTable="columncrday" type="xs:double" minOccurs="0" />
              <xs:element name="janday" msprop:Generator_ColumnPropNameInTable="jandayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="janday" msprop:Generator_UserColumnName="janday" msprop:Generator_ColumnVarNameInTable="columnjanday" type="xs:double" minOccurs="0" />
              <xs:element name="rateday" msprop:Generator_ColumnPropNameInTable="ratedayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="rateday" msprop:Generator_UserColumnName="rateday" msprop:Generator_ColumnVarNameInTable="columnrateday" type="xs:double" minOccurs="0" />
              <xs:element name="addday" msprop:Generator_ColumnPropNameInTable="adddayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="addday" msprop:Generator_UserColumnName="addday" msprop:Generator_ColumnVarNameInTable="columnaddday" type="xs:double" minOccurs="0" />
              <xs:element name="orderno" msprop:Generator_ColumnPropNameInTable="ordernoColumn" msprop:nullValue="1" msprop:Generator_ColumnPropNameInRow="orderno" msprop:Generator_UserColumnName="orderno" msprop:Generator_ColumnVarNameInTable="columnorderno" type="xs:int" minOccurs="0" />
              <xs:element name="iwolday" msprop:Generator_ColumnPropNameInTable="iwoldayColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="iwolday" msprop:Generator_UserColumnName="iwolday" msprop:Generator_ColumnVarNameInTable="columniwolday" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Holydata_TimePMS" msprop:Generator_RowClassName="Holydata_TimePMSRow" msprop:Generator_RowEvHandlerName="Holydata_TimePMSRowChangeEventHandler" msprop:Generator_RowDeletedName="Holydata_TimePMSRowDeleted" msprop:Generator_RowDeletingName="Holydata_TimePMSRowDeleting" msprop:Generator_RowEvArgName="Holydata_TimePMSRowChangeEvent" msprop:Generator_TablePropName="Holydata_TimePMS" msprop:Generator_RowChangedName="Holydata_TimePMSRowChanged" msprop:Generator_UserTableName="Holydata_TimePMS" msprop:Generator_RowChangingName="Holydata_TimePMSRowChanging" msprop:Generator_TableClassName="Holydata_TimePMSDataTable" msprop:Generator_TableVarName="tableHolydata_TimePMS">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="gcode" msprop:Generator_UserColumnName="gcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_ColumnVarNameInTable="columngcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="sdate" msprop:Generator_UserColumnName="sdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="uid" msprop:Generator_UserColumnName="uid" msprop:Generator_ColumnPropNameInTable="uidColumn" msprop:Generator_ColumnPropNameInRow="uid" msprop:Generator_ColumnVarNameInTable="columnuid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:Generator_UserColumnName="cate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_ColumnVarNameInTable="columncate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="jun" msdata:ReadOnly="true" msprop:Generator_UserColumnName="jun" msprop:Generator_ColumnPropNameInTable="junColumn" msprop:Generator_ColumnPropNameInRow="jun" msprop:Generator_ColumnVarNameInTable="columnjun" type="xs:double" minOccurs="0" />
              <xs:element name="Dr" msprop:Generator_UserColumnName="Dr" msprop:Generator_ColumnPropNameInTable="DrColumn" msprop:Generator_ColumnPropNameInRow="Dr" msprop:Generator_ColumnVarNameInTable="columnDr" type="xs:double" minOccurs="0" />
              <xs:element name="Cr" msprop:Generator_UserColumnName="Cr" msprop:Generator_ColumnPropNameInTable="CrColumn" msprop:Generator_ColumnPropNameInRow="Cr" msprop:Generator_ColumnVarNameInTable="columnCr" type="xs:double" minOccurs="0" />
              <xs:element name="contents" msprop:Generator_UserColumnName="contents" msprop:Generator_ColumnPropNameInTable="contentsColumn" msprop:Generator_ColumnPropNameInRow="contents" msprop:Generator_ColumnVarNameInTable="columncontents" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:Generator_UserColumnName="name" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_ColumnVarNameInTable="columnname" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Process" msprop:Generator_UserColumnName="Process" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="iwol" msprop:Generator_UserColumnName="iwol" msprop:Generator_ColumnPropNameInTable="iwolColumn" msprop:Generator_ColumnPropNameInRow="iwol" msprop:Generator_ColumnVarNameInTable="columniwol" type="xs:boolean" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Holydata_Day" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
    <xs:unique name="Holydata_Time_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Holydata_Time" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
    <xs:unique name="holydatasum_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:holydatasum" />
      <xs:field xpath="mstns:uid" />
      <xs:field xpath="mstns:cate" />
    </xs:unique>
    <xs:unique name="Holydata_TimePMS_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Holydata_TimePMS" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>